[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] xen: work with ia64 MAX_VIRT_CPUS of 64



On 11/01/2010 10:48 AM, Eric Blake wrote:
>> cc1: warnings being treated as errors
>> xen/xend_internal.c: In function 'xenDaemonFormatSxpr':
>> xen/xend_internal.c:5775: error: nested extern declaration of 'verify_function2' [-Wnested-externs]
>> make[3]: *** [libvirt_driver_xen_la-xend_internal.lo] Error 1
> 
> Which version of gcc?  This may be a bug in gnulib's verify module.  I
> tested successfully on F13, gcc 4.4.4.

Oops - I found out (the hard way) that --enable-compiler-warnings=error
is not the same as --enable-compile-warnings=error. (We only support the
latter).  Once I fixed my devel build to turn on -Werror, I'm also
seeing this failure with my setup (which was to be expected, since
Daniel's F12 and F14 tests both failed).

-- 
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]